# Interface methods for submodule: PlatformMultiThreader
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MultiThreaderBaseProxy as _MultiThreaderBaseProxy


# Interface methods for class: PlatformMultiThreader
class PlatformMultiThreaderProxy(_MultiThreaderBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SingleMethodExecute(self) -> None:
		""""""
		...

	def SetMaximumNumberOfThreads(self, numberOfThreads: int) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, numberOfWorkUnits: int) -> None:
		""""""
		...

